﻿using C1.WPF.FlexReport;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace FlexReportFieldHeight
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        C1FlexReport report;
        public MainWindow()
        {
            InitializeComponent();
            report = new C1FlexReport();

            DataTable dataTable = new DataTable("Product");
            DataColumn Id = new DataColumn("Id", typeof(System.String));
            DataColumn Name = new DataColumn("Name", typeof(System.String));
            DataColumn Delivered = new DataColumn("Available", typeof(System.Int32));

            dataTable.Columns.AddRange(new DataColumn[] { Id, Name, Delivered });
            string[] products = { "Table", "Chair", "Bag", "Ball", "Watch", "Shoes" };
            Random rnd = new Random();
            //Adding data
            for (int i = 1; i <= 25; i++)
            {
                dataTable.Rows.Add("10012345678912\n3", products[rnd.Next(0, products.Count())], rnd.Next(0, 2));
            }

            //Loading Report
            C1FlexReport flexReport = new C1FlexReport();
            flexReport.Load(@"../../SampleReport.flxr", "Sample Report");
            flexReport.DataSource.Recordset = dataTable;
            flexViewer.DocumentSource = flexReport;
        }
    }
}
